<?php
require_once("DBManager.class.php");

class tarea{
	private $idtarea;///
	private $idclases;
	private $titulo;
	private $descripcion;
	private $visible;
	private $fechalimite;
	private $fechareg;
	/////////////////constructor/////////////////
	
	public function Crear($idclase,$titulo,$desc,$visible,$fl,$fr)
	{
		$resp=false;		
		$db= new DBManager();		
if($db->_execute("INSERT INTO tarea(idtarea,idclases,titulo,descripcion,visible,fechalimite,fechareg) VALUES(null,".$idclase.",'".$titulo."','".$desc."','".$visible."','".$fl."','".$fr."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorClase($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from tarea where(idclases =".$v.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idtarea"	=> $rs->fields["idtarea"],
									"idclases" 	=> $rs->fields["idclases"],
									"titulo" 	=> $rs->fields["titulo"],
									"descripcion" 	=> $rs->fields["descripcion"],
									"visible" 	=> $rs->fields["visible"],
									"fechalimite" 	=> $rs->fields["fechalimite"],
									"fechareg" 	=> $rs->fields["fechareg"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function ListarVisibles($doc)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from tarea where(visible ='SI' and idclases =".$doc.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idtarea"	=> $rs->fields["idtarea"],
									"idclases" 	=> $rs->fields["idclases"],
									"titulo" 	=> $rs->fields["titulo"],
									"descripcion" 	=> $rs->fields["descripcion"],
									"visible" 	=> $rs->fields["visible"],
									"fechalimite" 	=> $rs->fields["fechalimite"],
									"fechareg" 	=> $rs->fields["fechareg"]);
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from tarea where(idtarea = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	            $this->idtarea=$rs->fields["idtarea"];
				$this->idclases=$rs->fields["idclases"];				
				$this->titulo=$rs->fields["titulo"];
				$this->descripcion=$rs->fields["descripcion"];	
				$this->visible=$rs->fields["visible"];
				$this->fechalimite=$rs->fields["fechalimite"];
				$this->fechareg=$rs->fields["fechareg"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	
	/////////////////////////////////////////
	
	public function Actualizar($vid,$vn,$desc,$fl)			
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("update tarea set titulo = '".$vn."',descripcion='".$desc."', fechalimite='".$fl."' where (idtarea=".$vid.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM tarea WHERE (idtarea=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////							
	
	public function getidtarea(){ return $this->idtarea;}
	public function getidclases(){ return $this->idclases;}
	public function gettitulo(){ return $this->titulo;}
	public function getdescripcion(){ return $this->descripcion;}
	public function getvisible(){ return $this->visible;}
	public function getfechalimite(){ return $this->fechalimite;}
	public function getfechareg(){ return $this->fechareg;}
}
?>
